import os

def find_hics(dir,root_item,level=0):
  result = []
  # add root item
  if level >= 1:
    new_root = dir
  else:
    new_root = root_item

  found_items = []
  for f in os.listdir(dir):
    if os.path.isdir(os.path.join(dir,f)):
        new_dir = os.path.join(dir,f)
        found_items += find_hics(new_dir,new_root,level-1)
    if f.endswith(".hic"):
        if ("Anopheles" in dir) and (f.find("V4")==-1): # don't add hics for Anopheles maps with version != 4
                continue
        the_path = "https://genedev.bionet.nsc.ru/site/hic_out"+os.path.join(dir,f)[1:]
        found_items.append(os.path.basename(f)+"="+new_root+","+os.path.basename(f)+","+the_path)
  if len(found_items) > 0:
    result.append(new_root+"="+root_item+","+new_root)

  result += found_items
  return result

hic_files = find_hics(".","root", level = 10)
with open("juicebox.props","w") as out:
    for line in hic_files:
        out.write(line+"\n")
        print(line)
